## mingw-w64-python-async-timeout-4.0.3-2.src.tar.zst

=== Makefile ===
test: lint
	python -m pytest tests

lint: fmt
	python -m mypy

fmt:
ifdef CI
	python -m pre_commit run --all-files --show-diff-on-failure
else
	python -m pre_commit run --all-files
endif


check:
	python -m build
	python -m twine check dist/*

install:
	python -m pip install --user -U pip
	python -m pip install --user -r requirements.txt

=== PKGBUILD ===
# Maintainer: Sarah Ottinger <schalaalexiazeal@gmail.com>

_realname=async-timeout
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=4.0.3
pkgrel=2
pkgdesc='Asyncio-compatible timeout class (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/aio-libs/async-timeout"
msys2_references=(
  'pypi: async-timeout'
)
license=('Apache')
depends=("${MINGW_PACKAGE_PREFIX}-python")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-setuptools" "${MINGW_PACKAGE_PREFIX}-python-docutils")
checkdepends=("${MINGW_PACKAGE_PREFIX}-python-pytest-cov")
source=("https://github.com/aio-libs/async-timeout/archive/v${pkgver}.tar.gz")
sha256sums=('c63f1252d5fa878fdceb7a6894f1df6a73f92546e52a0b7999a5de429fd64ff8')

prepare() {  
  cd "$srcdir"
  rm -rf python-build-${CARCH} | true
  cp -r "${_realname}-${pkgver}" "python-build-${CARCH}"
}

build() {
  msg "Python build for ${CARCH}"  
  cd "${srcdir}/python-build-${CARCH}"
  ${MINGW_PREFIX}/bin/python setup.py build
}

check() {
  cd "${srcdir}/python-build-${CARCH}"
  PYTHONPATH=. ${MINGW_PREFIX}/bin/py.test tests || warning "Tests failed"
}

package() {
  cd "${srcdir}/python-build-${CARCH}"
  MSYS2_ARG_CONV_EXCL="--prefix=;--install-scripts=;--install-platlib=" \
  ${MINGW_PREFIX}/bin/python setup.py install --prefix=${MINGW_PREFIX} \
    --root="${pkgdir}" --optimize=1 --skip-build
  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
